coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix false failure in new dd/nocache_eof test


From: Pádraig Brady
Subject: [PATCH] tests: fix false failure in new dd/nocache_eof test
Date: Sun, 10 Dec 2017 15:38:44 -0800

* test/dd/nocache_eof.sh: Also handle fadvise64_64 which is
used on 32 bit x86.  Note strace internally maps fadvise64_64
to {arm,xtensa}_fadvise64_64.
---
 tests/dd/nocache_eof.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/dd/nocache_eof.sh b/tests/dd/nocache_eof.sh
index b99b4a3..bb1e954 100755
--- a/tests/dd/nocache_eof.sh
+++ b/tests/dd/nocache_eof.sh
@@ -18,7 +18,7 @@
 
 . "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
 print_ver_ dd
-require_strace_ fadvise64
+require_strace_ fadvise64,fadvise64_64
 
 head -c1234567 /dev/zero > in.f || framework_failure_
 
@@ -31,7 +31,7 @@ dd if=in.f iflag=nocache count=0 ||
   skip_ 'this file system lacks support for posix_fadvise()'
 
 strace_dd() {
-  strace -o dd.strace -e fadvise64 dd status=none "$@" || fail=1
+  strace -o dd.strace -e fadvise64,fadvise64_64 dd status=none "$@" || fail=1
 }
 
 advised_to_eof() {
@@ -77,7 +77,7 @@ advised_to_eof || fail=1
 
 # Ensure sub page size offsets are handled.
 # I.e., only page aligned offsets are sent to fadvise.
-if ! strace -o dd.strace -e fadvise64 dd status=none \
+if ! strace -o dd.strace -e fadvise64,fadvise64_64 dd status=none \
  if=in.f of=out.f bs=1M oflag=direct seek=512 oflag=seek_bytes; then
   warn_ '512 byte aligned O_DIRECT is not supported on this (file) system'
   # The current file system may not support O_DIRECT,
-- 
2.9.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]